## ruby-fxruby 1.6.44

=== rdoc-sources/Makefile ===
SOURCES = *.rb \
        ../lib/fox/calendar.rb \
        ../lib/fox/chore.rb \
        ../lib/fox/core.rb \
        ../lib/fox/glgroup.rb \
        ../lib/fox/glshapes.rb \
        ../lib/fox/input.rb \
        ../lib/fox/iterators.rb \
        ../lib/fox/responder2.rb \
        ../lib/fox/scintilla.rb \
        ../lib/fox/signal.rb \
        ../lib/fox/timeout.rb \
        ../lib/fox/undolist.rb \
        ../lib/fox/version.rb

rdoc:
 @rdoc --op ../doc/api --main README.rdoc $(SOURCES) README.rdoc

ri:
 @rdoc --ri $(SOURCES)

clean:
 @rm -rf ../doc/api

=== debian/changelog ===
ruby-fxruby (1.6.44-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:05:58 +0200

ruby-fxruby (1.6.44-0kali2) kali-dev; urgency=medium

  * Fix build for ruby 3

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Dec 2022 18:18:54 +0100

ruby-fxruby (1.6.44-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * New upstream version 1.6.42
  * Refresh patches
  * Update debian/fox16_c for new release
  * Fix Rakefile and gemspec
  * New upstream version 1.6.44
  * Update debian/fox16_c for new release
  * Refresh patches
  * Add missing build-dep ruby-mini-portile2
  * Bump Standards-Version to 4.6.0
  * Improve the patch installation-with-rakefile
  * Add missing dep ruby-opengl and ruby-glu
  * Add Restrictions: allow-stderr to autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Mar 2022 14:06:15 +0100

ruby-fxruby (1.6.29-0kali7) kali-dev; urgency=medium

  * Don't run test during the build: xvfb-run is required for the test and it
    fails on i386

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Jul 2019 16:16:11 +0200

ruby-fxruby (1.6.29-0kali6) kali-dev; urgency=medium

  * Don't use xvfb-run in debian/rules (not needed anymore, and it fails on
    i386)
  * Update debian/watch to fix a lintian warning
  * Don't use autopkgtest-pkg-ruby: upstream tests are not run with this
    command. Add a debian/test/control to run upstream test

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Jul 2019 12:23:14 +0200

ruby-fxruby (1.6.29-0kali5) kali-dev; urgency=medium

  * debian/rules: don't run dh_dwz, it fails on fox16_c.so

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Jul 2019 09:39:34 +0200

ruby-fxruby (1.6.29-0kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com

  [ Sophie Brun ]
  * Update add-missing-gemspec.patch
  * Use debhelper-compat 12
  * Update email
  * Bump Standards-Version to 4.3.0
  * Add debian/gbp.conf

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Jun 2019 15:44:35 +0200

ruby-fxruby (1.6.29-0kali3) kali-dev; urgency=medium

  * Update packaging to work with new ruby version 1:2.5~1
  * Drop useless build-deps: ruby-mini-portile2 (only required for most
    recent versions of fxruby but we keep this version for watobo)
  * Simplify add-missing-gemspec.patch
  * Upgrade installation (installation is now managed correctly by dh_ruby):
       - Add a patch installation-with-rakefile.patch
       - Drop useless debian/ruby-fxruby.install
       - debian/rules: don't override dh_auto_install
       - debian/rules: remove /usr/lib/ruby/vendor_ruby/fox16_c.so already
       in /usr/lib/$(DEB_HOST_MULTIARCH)/ruby/vendor_ruby/$(RUBY_VERSION)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Feb 2018 16:54:15 +0100

ruby-fxruby (1.6.29-0kali2) kali-dev; urgency=medium

  * Use xfvb-run to run the tests (some tests fail with "openDisplay: unable to
    open display :0.0")

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Mar 2017 09:40:22 +0100

ruby-fxruby (1.6.29-0kali1) kali-dev; urgency=medium

  * Initial packaging for kali

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Aug 2016 10:15:59 +0200

=== debian/control ===
Source: ruby-fxruby
Section: ruby
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb,
               rake,
               rake-compiler,
               ruby-hoe,
	       ruby-mini-portile2 (>= 2.1),
               swig,
               libfox-1.6-dev,
               libfxscintilla-dev,
               zlib1g-dev,
               libbz2-dev,
               libpng-dev,
               libjpeg-dev,
               libtiff5-dev,
               libxrandr-dev,
               ruby-opengl,
               ruby-glu
Standards-Version: 4.6.0
Homepage: https://github.com/larskanis/fxruby
XS-Ruby-Versions: all

Package: ruby-fxruby
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-glu,
         ruby-opengl,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby binding to the FOX GUI toolkit
 This package contains the Ruby binding to the FOX GUI toolkit.

=== debian/tests/control ===
Test-Command: ruby test/TS_All.rb
Restrictions: superficial, allow-stderr

## ruby-fxruby 1.6.48

=== debian/changelog ===
ruby-fxruby (1.6.48-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Add xvfb as a dependency for autopkgtest
  * Actually run xvfb-run for the autopkgtest
  * Add needed test dependency

  [ Sophie Brun ]
  * New upstream version 1.6.48
  * Refresh patches
  * Update debian/ruby-fxruby.docs
  * Update dep ruby-opengl
  * Prepare for Release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Feb 2025 17:44:56 +0100

ruby-fxruby (1.6.48-0kali1) kali-dev; urgency=medium

  * New upstream version 1.6.48
  * Refresh patches
  * Update debian/ruby-fxruby.docs
  * Update dep ruby-opengl

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Feb 2025 17:41:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ruby-fxruby
 Section: ruby
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12),
                gem2deb,
                rake,
@@ -18,9 +18,10 @@
                libjpeg-dev,
                libtiff5-dev,
                libxrandr-dev,
-               ruby-opengl,
                ruby-glu
 Standards-Version: 4.6.0
+Vcs-Git: https://gitlab.com/kalilinux/packages/ruby-fxruby.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/ruby-fxruby
 Homepage: https://github.com/larskanis/fxruby
 XS-Ruby-Versions: all
 
@@ -29,7 +30,7 @@
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby | ruby-interpreter,
          ruby-glu,
-         ruby-opengl,
+	 ruby-opengl (>= 2.0.4),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Ruby binding to the FOX GUI toolkit

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#
# Uncomment to check dependencies during build:
# export GEM2DEB_TEST_RUNNER = --check-dependencies

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_VERSION_UPSTREAM


%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	cp -rf debian/fox16_c/* ext/fox16_c/
	dh_auto_build --buildsystem=ruby

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/ruby-fxruby/usr/share/doc/ruby-fxruby/examples/*.rb
	chmod 644 debian/ruby-fxruby/usr/share/doc/ruby-fxruby/examples/README
	chmod 644 debian/ruby-fxruby/usr/share/doc/ruby-fxruby/examples/textedit/*.rb
	chmod 644 debian/ruby-fxruby/usr/share/doc/ruby-fxruby/examples/icons/*.ico
	chmod 644 debian/ruby-fxruby/usr/lib/ruby/vendor_ruby/fox16/*.rb

override_dh_dwz:
	# fails with dwz: debian/ruby-fxruby/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/fox16_c.so: DWARF version 0 unhandled

=== debian/tests/control ===
Test-Command: xvfb-run ruby test/TS_All.rb
Depends: @, xauth, xvfb
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
https://gemwatch.debian.net/fxruby .*/fxruby-(.*).tar.gz
